# Identity

Each coldkey can register an identity.

### Register Identity

Registering an identity must be called from the coldkey account and is stored under the coldkey.

```rust
pub fn register_identity(
    origin: OriginFor<T>, 
    hotkey: T::AccountId,
    name: BoundedVec<u8, DefaultMaxUrlLength>,
    url: BoundedVec<u8, DefaultMaxUrlLength>,
    image: BoundedVec<u8, DefaultMaxUrlLength>,
    discord: BoundedVec<u8, DefaultMaxSocialIdLength>,
    x: BoundedVec<u8, DefaultMaxSocialIdLength>,
    telegram: BoundedVec<u8, DefaultMaxSocialIdLength>,
    github: BoundedVec<u8, DefaultMaxUrlLength>,
    hugging_face: BoundedVec<u8, DefaultMaxUrlLength>,
    description: BoundedVec<u8, DefaultMaxVectorLength>,
    misc: BoundedVec<u8, DefaultMaxVectorLength>,
)
```

***

### Remove Identity

Remove a coldkey identity.

```rust
pub fn remove_identity(origin: OriginFor<T>)
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hypertensor.org/network/subnet-node/identity.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
